@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

html, button, select, textarea, input {
  font-family: 'Roboto';
  font-size: 16px;
}

header nav ul {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  justify-items: center;
}

a,
a:visited {
  text-decoration: none;
  color: #208ACC;
}

button.button {
  background-color: #E012AD;
  border: 2px solid transparent;
  border-radius: 4px;
  color: white;
  padding: 1em 1.5em;
  text-transform: uppercase;
}

button.button:hover {
  background-color: white;
  border-color: #E012AD;
  color: #E012AD;
}

button.button:active {
  background-color: lightblue;
}

input, textarea {
  border: 1px solid #E012AD;
  border-radius: 4px;
  padding: 1em 1.5em;
}

table {
  margin: auto;
  display: grid;
}

td, th {
  padding: .25em .5em;
}

textarea {
  resize: none;
}

.recipe-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2em;
  padding: 2em;
}

.recipe-card {
  display: grid;
  grid-template-columns: 70% 30%;
  grid-template-rows: 30% 20% 50%;
}

.recipe-card-title {
  margin-bottom: 0;
  grid-column: 1;
  grid-row: 1;
}

.recipe-card-date {
  color: darkgray;
  grid-column: 1;
  grid-row: 2;
}

.recipe-form {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.recipe-form p {
  display: grid;
  grid-template-columns: 8em 1fr;
  column-gap: 20px;
}

.recipe-form label {
  text-align: right;
}

.recipe-detail {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
  display: grid;
  grid-template-columns: 2;
  grid-template-rows: 2;
  /* background-color: #208ACC; */
  background-image: linear-gradient(to bottom right, rgb(253, 103, 233), rgb(250, 196, 81));
  /* background-image: url("recipe-book-background.jpg"); */
}

.pull-right {
  /* this is for the image */
  float: right;
  margin: 1em;
  max-height: 450px;
  max-width: 400px;
  grid-column: 2;
  grid-row: 1;
}

.list-image {
  max-width: 100px;
  max-height: 100px;
  grid-column: 2;
  grid-row: 1 span 2;
}

.recipe-info {
  grid-column: 1;
  grid-row: 1;
}

.control {
  text-align: right;
}

.dates, .tags {
  font-size: 75%;
}

/* .ingredients-detail {
  display: grid;
} */

.create-new {
  background-image: url("https://img.freepik.com/free-photo/white-flower-with-cooking-ingredients-table_181624-1096.jpg?w=996&t=st=1661750803~exp=1661751403~hmac=e5cca14ae67b46f7b44d75bbeaf99c29db203c48510a436212fc2d8fa3a7df06");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: 80%;
}
